=== debian/control ===
Source: gcc-8-cross-mipsen
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.2.1
Build-Depends: gcc-8-source (>= 8.2.0-11~), binutils-multiarch (>= 2.30-11),
  autoconf2.64, autogen, bison (>= 1:2.3),
  chrpath, debhelper (>= 9), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
  gperf (>= 3.0.1), 
  binutils-mips64-linux-gnuabi64 (>= 2.30-11) [amd64 i386 x32], binutils-mipsisa32r6-linux-gnu (>= 2.30-11) [amd64 i386 x32], binutils-mipsisa32r6el-linux-gnu (>= 2.30-11) [amd64 i386 x32], binutils-mipsisa64r6-linux-gnuabi64 (>= 2.30-11) [amd64 i386 x32], binutils-mipsisa64r6el-linux-gnuabi64 (>= 2.30-11) [amd64 i386 x32],
  libc6-dev-mips64-cross (>= 2.27) [amd64 i386 x32], libc6-dev-mipsr6-cross (>= 2.27) [amd64 i386 x32], libc6-dev-mipsr6el-cross (>= 2.27) [amd64 i386 x32], libc6-dev-mips64r6-cross (>= 2.27) [amd64 i386 x32], libc6-dev-mips64r6el-cross (>= 2.27) [amd64 i386 x32], libc6-dev-mips32-mips64-cross [amd64 i386 x32], libc6-dev-mipsn32-mips64-cross [amd64 i386 x32], libc6-dev-mips64-mipsr6-cross [amd64 i386 x32], libc6-dev-mipsn32-mipsr6-cross [amd64 i386 x32], libc6-dev-mips64-mipsr6el-cross [amd64 i386 x32], libc6-dev-mipsn32-mipsr6el-cross [amd64 i386 x32], libc6-dev-mips32-mips64r6-cross [amd64 i386 x32], libc6-dev-mipsn32-mips64r6-cross [amd64 i386 x32], libc6-dev-mips32-mips64r6el-cross [amd64 i386 x32], libc6-dev-mipsn32-mips64r6el-cross [amd64 i386 x32],
  linux-libc-dev-mips64-cross [amd64 i386 x32], linux-libc-dev-mipsr6-cross [amd64 i386 x32], linux-libc-dev-mipsr6el-cross [amd64 i386 x32], linux-libc-dev-mips64r6-cross [amd64 i386 x32], linux-libc-dev-mips64r6el-cross [amd64 i386 x32],
  libisl-dev (>= 0.14-1~), libmpc-dev,
  libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
  dwz, pkg-config, libgc-dev,
  patchutils, procps, quilt, coreutils (>= 2.26) | realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
  g++-8,
  gccgo-8,
  gdc-8,
  gnat-8 [!m32r !sh3 !sh3eb !sh4eb],
  xz-utils, zlib1g-dev, python3
Build-Conflicts: gcc-multilib,
  libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc-cross/tree/gcc-8-cross
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc-cross.git -b gcc-8-cross

Package: gcc-8-cross-base-mipsen
Architecture: all
Section: devel
Priority: optional
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (library base package)
 This package contains files common to all libraries
 contained in the GNU Compiler Collection (GCC).

Package: gcc-8-mips64-linux-gnuabi64-base
Architecture: amd64 i386 x32
Section: devel
Priority: optional
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc1-mips64-cross
Architecture: all
Section: devel
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libgcc1-mips64-dcv1
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This package contains files for mips64 architecture, for use in cross-compile
 environment.

Package: libgcc-8-dev-mips64-cross
Architecture: all
Section: libdevel
Priority: optional
Recommends: ${dep:libcdev}
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm}, ${dep:libatomic}, ${dep:libbtrace}, ${dep:libasan}, ${dep:liblsan}, ${dep:libtsan}, ${dep:libubsan}, ${dep:libvtv}${dep:libqmath}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-8 (<< ${gcc:SplitVersion})
Description: GCC support library (development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: lib32gcc1-mips64-cross
Architecture: all
Section: devel
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Conflicts: ${confl:lib32}
Provides: lib32gcc1-mips64-dcv1
Description: GCC support library (32 bit Version)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This package contains files for mips64 architecture, for use in cross-compile
 environment.

Package: lib32gcc-8-dev-mips64-cross
Architecture: all
Section: libdevel
Priority: optional
Recommends: ${dep:libcdev}
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch}, ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch}, ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch}, ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libvtvbiarch}, ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-8-multilib (<< ${gcc:SplitVersion})
Description: GCC support library (32 bit development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: libn32gcc1-mips64-cross
Architecture: all
Section: devel
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Provides: libn32gcc1-mips64-dcv1
Conflicts: libgcc1-mips64-cross (<= 1:3.3-0pre9)
Description: GCC support library (n32)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This package contains files for mips64 architecture, for use in cross-compile
 environment.

Package: libn32gcc-8-dev-mips64-cross
Architecture: all
Section: libdevel
Priority: optional
Recommends: ${dep:libcdev}
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch}, ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch}, ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch}, ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libvtvbiarch}, ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-8-multilib (<< ${gcc:SplitVersion})
Description: GCC support library (n32 development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: gcc-8-mips64-linux-gnuabi64
Architecture: amd64 i386 x32
Section: devel
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), cpp-8-mips64-linux-gnuabi64 (= ${gcc:Version}), binutils-mips64-linux-gnuabi64 (>= ${binutils:Version}), libgcc-8-dev-mips64-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: ${gcc:multilib}, gcc-8-doc (>= ${gcc:SoftVersion}), gcc-8-locales (>= ${gcc:SoftVersion}), libgcc1-dbg-mips64-cross, libgomp1-dbg-mips64-cross, libitm1-dbg-mips64-cross, libatomic1-dbg-mips64-cross, libtsan0-dbg-mips64-cross, libbacktrace1-dbg-mips64-cross, libquadmath-dbg-mips64-cross, ${dep:libcloog}, ${dep:gold}
Provides: c-compiler-mips64-linux-gnuabi64
Description: GNU C compiler
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This package contains C cross-compiler for mips64 architecture.

Package: gcc-8-multilib-mips64-linux-gnuabi64
Architecture: amd64 i386 x32
Section: devel
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), gcc-8-mips64-linux-gnuabi64 (= ${gcc:Version}), ${dep:libcbiarchdev}, ${dep:libgccbiarchdev}, ${shlibs:Depends}, ${misc:Depends}
Description: GNU C compiler (multilib files)
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 On architectures with multilib support, the package contains files
 and dependencies for the non-default multilib architecture(s).

Package: gcc-8-plugin-dev-mips64-linux-gnuabi64
Architecture: amd64 i386 x32
Section: devel
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), gcc-8-mips64-linux-gnuabi64 (= ${gcc:Version}), libgmp-dev (>= 2:5.0.1~), ${shlibs:Depends}, ${misc:Depends}
Description: Files for GNU GCC plugin development.
 This package contains (header) files for GNU GCC plugin development. It
 is only used for the development of GCC plugins, but not needed to run
 plugins.

Package: cpp-8-mips64-linux-gnuabi64
Architecture: amd64 i386 x32
Section: devel
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: gcc-8-locales (>= ${gcc:SoftVersion})
Replaces: gcc-4.6 (<< 4.6.1-9)
Description: GNU C preprocessor
 A macro processor that is used automatically by the GNU C compiler
 to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the compiler.
 .
 This package contains preprocessor configured for mips64 architecture.

Package: g++-8-mips64-linux-gnuabi64
Architecture: amd64 i386 x32
Section: devel
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), gcc-8-mips64-linux-gnuabi64 (= ${gcc:Version}), libstdc++-8-dev-mips64-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: c++-compiler-mips64-linux-gnuabi64, c++abi2-dev
Suggests: ${gxx:multilib}, gcc-8-doc (>= ${gcc:SoftVersion}), libstdc++6-8-dbg-mips64-cross
Description: GNU C++ compiler
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 This package contains C++ cross-compiler for mips64 architecture.

Package: g++-8-multilib-mips64-linux-gnuabi64
Architecture: amd64 i386 x32
Section: devel
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), g++-8-mips64-linux-gnuabi64 (= ${gcc:Version}), gcc-8-multilib-mips64-linux-gnuabi64 (= ${gcc:Version}), ${dep:libcxxbiarchdev}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ${dep:libcxxbiarchdbg}
Description: GNU C++ compiler (multilib files)
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 On architectures with multilib support, the package contains files
 and dependencies for the non-default multilib architecture(s).

Package: libgomp1-mips64-cross
Section: devel
Architecture: all
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GCC OpenMP (GOMP) support library
 GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
 in the GNU Compiler Collection.

Package: lib32gomp1-mips64-cross
Section: devel
Architecture: all
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: ${confl:lib32}
Description: GCC OpenMP (GOMP) support library (32bit)
 GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
 in the GNU Compiler Collection.

Package: libn32gomp1-mips64-cross
Section: devel
Architecture: all
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}, ${misc:Depends}
Description: GCC OpenMP (GOMP) support library (n32)
 GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
 in the GNU Compiler Collection.

Package: libatomic1-mips64-cross
Section: devel
Architecture: all
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: support library providing __atomic built-in functions
