## gcc-8-cross-mipsen 2~c2

=== debian/changelog ===
gcc-8-cross-mipsen (2~c2) unstable; urgency=medium

  * Build-dep 8.3.0-2.
  * Merge changes from gcc-8-cross -24 and -25.
  * Don't build packages on arm64 and ppc64el for now.
  * Stop building the mips64 packages from the -ports source package.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Feb 2019 09:12:19 +0100

gcc-8-cross-mipsen (2~c1) unstable; urgency=medium

  * Build-dep 8.2.0-16.
  * Add myslef into uploaders.
  * Also build on arm64 ppc64el mips64el.
  * Now we have binutils-mipsen, and cross-toolchain-mipsen now,
    (Closes: #920583)

 -- YunQiang Su <syq@debian.org>  Sat, 02 Feb 2019 08:17:25 +0800
