=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
-Uploaders: Matthias Klose <doko@debian.org>
-Standards-Version: 4.2.1
-Build-Depends: gcc-8-source (>= 8.2.0-11~), binutils-multiarch (>= 2.30-11),
+Uploaders: Matthias Klose <doko@debian.org>, YunQiang Su <syq@debian.org>
+Standards-Version: 4.3.0
+Build-Depends: gcc-8-source (>= 8.3.0-2~), binutils-multiarch (>= 2.30-11),
   autoconf2.64, autogen, bison (>= 1:2.3),
   chrpath, debhelper (>= 9), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
   gperf (>= 3.0.1), 
-  binutils-mips64-linux-gnuabi64 (>= 2.30-11) [amd64 i386 x32], binutils-mipsisa32r6-linux-gnu (>= 2.30-11) [amd64 i386 x32], binutils-mipsisa32r6el-linux-gnu (>= 2.30-11) [amd64 i386 x32], binutils-mipsisa64r6-linux-gnuabi64 (>= 2.30-11) [amd64 i386 x32], binutils-mipsisa64r6el-linux-gnuabi64 (>= 2.30-11) [amd64 i386 x32],
-  libc6-dev-mips64-cross (>= 2.27) [amd64 i386 x32], libc6-dev-mipsr6-cross (>= 2.27) [amd64 i386 x32], libc6-dev-mipsr6el-cross (>= 2.27) [amd64 i386 x32], libc6-dev-mips64r6-cross (>= 2.27) [amd64 i386 x32], libc6-dev-mips64r6el-cross (>= 2.27) [amd64 i386 x32], libc6-dev-mips32-mips64-cross [amd64 i386 x32], libc6-dev-mipsn32-mips64-cross [amd64 i386 x32], libc6-dev-mips64-mipsr6-cross [amd64 i386 x32], libc6-dev-mipsn32-mipsr6-cross [amd64 i386 x32], libc6-dev-mips64-mipsr6el-cross [amd64 i386 x32], libc6-dev-mipsn32-mipsr6el-cross [amd64 i386 x32], libc6-dev-mips32-mips64r6-cross [amd64 i386 x32], libc6-dev-mipsn32-mips64r6-cross [amd64 i386 x32], libc6-dev-mips32-mips64r6el-cross [amd64 i386 x32], libc6-dev-mipsn32-mips64r6el-cross [amd64 i386 x32],
-  linux-libc-dev-mips64-cross [amd64 i386 x32], linux-libc-dev-mipsr6-cross [amd64 i386 x32], linux-libc-dev-mipsr6el-cross [amd64 i386 x32], linux-libc-dev-mips64r6-cross [amd64 i386 x32], linux-libc-dev-mips64r6el-cross [amd64 i386 x32],
+  binutils-mips64-linux-gnuabi64 (>= 2.30-11) [amd64 i386 x32 mips64el], binutils-mipsisa32r6-linux-gnu (>= 2.30-11) [amd64 i386 x32 mips64el], binutils-mipsisa32r6el-linux-gnu (>= 2.30-11) [amd64 i386 x32 mips64el], binutils-mipsisa64r6-linux-gnuabi64 (>= 2.30-11) [amd64 i386 x32 mips64el], binutils-mipsisa64r6el-linux-gnuabi64 (>= 2.30-11) [amd64 i386 x32 mips64el],
+  libc6-dev-mips64-cross (>= 2.27) [amd64 i386 x32 mips64el], libc6-dev-mipsr6-cross (>= 2.27) [amd64 i386 x32 mips64el], libc6-dev-mipsr6el-cross (>= 2.27) [amd64 i386 x32 mips64el], libc6-dev-mips64r6-cross (>= 2.27) [amd64 i386 x32 mips64el], libc6-dev-mips64r6el-cross (>= 2.27) [amd64 i386 x32 mips64el], libc6-dev-mips32-mips64-cross [amd64 i386 x32 mips64el], libc6-dev-mipsn32-mips64-cross [amd64 i386 x32 mips64el], libc6-dev-mips64-mipsr6-cross [amd64 i386 x32 mips64el], libc6-dev-mipsn32-mipsr6-cross [amd64 i386 x32 mips64el], libc6-dev-mips64-mipsr6el-cross [amd64 i386 x32 mips64el], libc6-dev-mipsn32-mipsr6el-cross [amd64 i386 x32 mips64el], libc6-dev-mips32-mips64r6-cross [amd64 i386 x32 mips64el], libc6-dev-mipsn32-mips64r6-cross [amd64 i386 x32 mips64el], libc6-dev-mips32-mips64r6el-cross [amd64 i386 x32 mips64el], libc6-dev-mipsn32-mips64r6el-cross [amd64 i386 x32 mips64el],
+  linux-libc-dev-mips64-cross [amd64 i386 x32 mips64el], linux-libc-dev-mipsr6-cross [amd64 i386 x32 mips64el], linux-libc-dev-mipsr6el-cross [amd64 i386 x32 mips64el], linux-libc-dev-mips64r6-cross [amd64 i386 x32 mips64el], linux-libc-dev-mips64r6el-cross [amd64 i386 x32 mips64el],
   libisl-dev (>= 0.14-1~), libmpc-dev,
   libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
   dwz, pkg-config, libgc-dev,
@@ -36,7 +36,7 @@
  contained in the GNU Compiler Collection (GCC).
 
 Package: gcc-8-mips64-linux-gnuabi64-base
-Architecture: amd64 i386 x32
+Architecture: amd64 i386 x32 mips64el
 Section: devel
 Priority: optional
 Depends: ${misc:Depends}
@@ -122,7 +122,7 @@
  building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.
 
 Package: gcc-8-mips64-linux-gnuabi64
-Architecture: amd64 i386 x32
+Architecture: amd64 i386 x32 mips64el
 Section: devel
 Priority: optional
 Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), cpp-8-mips64-linux-gnuabi64 (= ${gcc:Version}), binutils-mips64-linux-gnuabi64 (>= ${binutils:Version}), libgcc-8-dev-mips64-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
@@ -135,7 +135,7 @@
  This package contains C cross-compiler for mips64 architecture.
 
 Package: gcc-8-multilib-mips64-linux-gnuabi64
-Architecture: amd64 i386 x32
+Architecture: amd64 i386 x32 mips64el
 Section: devel
 Priority: optional
 Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), gcc-8-mips64-linux-gnuabi64 (= ${gcc:Version}), ${dep:libcbiarchdev}, ${dep:libgccbiarchdev}, ${shlibs:Depends}, ${misc:Depends}
@@ -146,7 +146,7 @@
  and dependencies for the non-default multilib architecture(s).
 
 Package: gcc-8-plugin-dev-mips64-linux-gnuabi64
-Architecture: amd64 i386 x32
+Architecture: amd64 i386 x32 mips64el
 Section: devel
 Priority: optional
 Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), gcc-8-mips64-linux-gnuabi64 (= ${gcc:Version}), libgmp-dev (>= 2:5.0.1~), ${shlibs:Depends}, ${misc:Depends}
@@ -156,7 +156,7 @@
  plugins.
 
 Package: cpp-8-mips64-linux-gnuabi64
-Architecture: amd64 i386 x32
+Architecture: amd64 i386 x32 mips64el
 Section: devel
 Priority: optional
 Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
@@ -172,7 +172,7 @@
  This package contains preprocessor configured for mips64 architecture.
 
 Package: g++-8-mips64-linux-gnuabi64
-Architecture: amd64 i386 x32
+Architecture: amd64 i386 x32 mips64el
 Section: devel
 Priority: optional
 Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), gcc-8-mips64-linux-gnuabi64 (= ${gcc:Version}), libstdc++-8-dev-mips64-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
@@ -184,7 +184,7 @@
  This package contains C++ cross-compiler for mips64 architecture.
 
 Package: g++-8-multilib-mips64-linux-gnuabi64
-Architecture: amd64 i386 x32
+Architecture: amd64 i386 x32 mips64el
 Section: devel
 Priority: optional
 Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), g++-8-mips64-linux-gnuabi64 (= ${gcc:Version}), gcc-8-multilib-mips64-linux-gnuabi64 (= ${gcc:Version}), ${dep:libcxxbiarchdev}, ${shlibs:Depends}, ${misc:Depends}
@@ -221,11 +221,3 @@
 Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}, ${misc:Depends}
 Description: GCC OpenMP (GOMP) support library (n32)
  GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
- in the GNU Compiler Collection.
-
-Package: libatomic1-mips64-cross
-Section: devel
-Architecture: all
-Priority: optional
-Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: support library providing __atomic built-in functions
