=== debian/rules ===
--- 
+++ 
@@ -42,8 +42,8 @@
 endif
 
 ifeq ($(GCC_VER),8)
-  MIN_VER_GCC      := 8.2.0-11~
-  PPA_VER_GCC      := 8.2.0-11~
+  MIN_VER_GCC      := 8.3.0-2~
+  PPA_VER_GCC      := 8.3.0-2~
 endif
 
 ifndef MIN_VER_GCC
@@ -97,14 +97,14 @@
 HOST_ARCHS_mipsel = amd64 i386 x32
 HOST_ARCHS_mipsn32 = amd64 i386 x32
 HOST_ARCHS_mipsn32el = amd64 i386 x32
-HOST_ARCHS_mips64 = amd64 i386 x32
+HOST_ARCHS_mips64 = amd64 i386 x32 mips64el
 HOST_ARCHS_mips64el = amd64 i386 x32
-HOST_ARCHS_mipsr6 = amd64 i386 x32
-HOST_ARCHS_mipsr6el = amd64 i386 x32
+HOST_ARCHS_mipsr6 = amd64 i386 x32 mips64el
+HOST_ARCHS_mipsr6el = amd64 i386 x32 mips64el
 HOST_ARCHS_mipsn32r6 = amd64 i386 x32
 HOST_ARCHS_mipsn32r6el = amd64 i386 x32
-HOST_ARCHS_mips64r6 = amd64 i386 x32
-HOST_ARCHS_mips64r6el = amd64 i386 x32
+HOST_ARCHS_mips64r6 = amd64 i386 x32 mips64el
+HOST_ARCHS_mips64r6el = amd64 i386 x32 mips64el
 HOST_ARCHS_powerpc = amd64 i386 x32 ppc64el
 HOST_ARCHS_powerpcspe = amd64 i386 x32
 HOST_ARCHS_ppc64 = amd64 i386 x32
@@ -138,7 +138,7 @@
     endif
     GCC_PORTS_BUILD=
   else ifeq ($(DEB_NAME_ACT),gcc-$(GCC_VER)-cross-mipsen)
-    ifneq (,$(filter $(HOST_ARCH),amd64 i386 x32))
+    ifneq (,$(filter $(HOST_ARCH),amd64 i386 x32 arm64 ppc64el mips64el))
       CROSS_ARCHS  ?= mips64 \
         mipsr6 mipsr6el mips64r6 mips64r6el
       # n32: mipsn32 mipsn32el mipsn32r6 mipsn32r6el
@@ -147,7 +147,7 @@
     GCC_PORTS_BUILD=-mipsen
   else # -ports package
     ifneq (,$(filter $(HOST_ARCH),amd64 i386 x32))
-      CROSS_ARCHS  ?= alpha hppa m68k mips64 powerpcspe ppc64 riscv64 sh4 sparc64 \
+      CROSS_ARCHS  ?= alpha hppa m68k powerpcspe ppc64 riscv64 sh4 sparc64 \
 		$(if $(filter $(vendor), Ubuntu), mips mipsel mips64el, powerpc) \
 		$(if $(filter $(HOST_ARCH), amd64 i386), x32)
     else ifeq ($(HOST_ARCH),arm64)
@@ -220,4 +220,3 @@
   EXTRA_BUILD_DEPS += libc6-dev-amd64-i386-cross [$(HOST_ARCHS_i386)],
   EXTRA_BUILD_DEPS += libc6-dev-x32-i386-cross [$(HOST_ARCHS_i386)],
   ifeq ($(skip_common_packages),yes)
-    GCC_BUILD_DEPS += lib64gcc1-i386-cross [$(HOST_ARCHS_i386)],
