## gcc-8-cross-mipsen 2~c2ubuntu1

=== debian/changelog ===
gcc-8-cross-mipsen (2~c2ubuntu1) disco; urgency=medium

  * Still build the library packages built by GCC 9 for other
    cross targets.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Mar 2019 12:16:38 +0100
