## gcc-8-cross-mipsen 2~c3

=== debian/changelog ===
gcc-8-cross-mipsen (2~c3) unstable; urgency=medium

  * Build-dep 8.3.0-7.

 -- Matthias Klose <doko@debian.org>  Mon, 29 Apr 2019 06:19:47 +0200
