## gcc-8-cross-mipsen 2~c3ubuntu1

=== debian/changelog ===
gcc-8-cross-mipsen (2~c3ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Still build the library packages built by GCC 9 for other
      cross targets.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 29 Apr 2019 06:29:05 +0200
