## gcc-8-cross-mipsen 2~c3ubuntu2

=== debian/changelog ===
gcc-8-cross-mipsen (2~c3ubuntu2) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Still build the library packages built by GCC 9 for other
      cross targets.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 May 2019 13:03:36 +0200
