=== debian/control ===
--- 
+++ 
@@ -69,6 +69,50 @@
  This package contains the headers and static library files necessary for
  building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.
 
+Package: libgcc1-dbg-mips64-cross
+Architecture: all
+Section: debug
+Priority: optional
+Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), libgcc1-mips64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
+Description: GCC support library (debug symbols)
+ Debug symbols for the GCC support library.
+ .
+ This package contains files for mips64 architecture, for use in cross-compile
+ environment.
+
+Package: libgcc2-dbg-mips64-cross
+Architecture: all
+Section: debug
+Priority: optional
+Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), libgcc2-mips64-cross (= ${gcc:Version}), ${misc:Depends}
+Description: GCC support library (debug symbols)
+ Debug symbols for the GCC support library.
+ .
+ This package contains files for mips64 architecture, for use in cross-compile
+ environment.
+
+Package: libgcc4-dbg-mips64-cross
+Architecture: all
+Section: debug
+Priority: optional
+Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), libgcc4-mips64-cross (= ${gcc:Version}), ${misc:Depends}
+Description: GCC support library (debug symbols)
+ Debug symbols for the GCC support library.
+ .
+ This package contains files for mips64 architecture, for use in cross-compile
+ environment.
+
+Package: lib64gcc1-dbg-mips64-cross
+Architecture: all
+Section: debug
+Priority: optional
+Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), lib64gcc1-mips64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
+Description: GCC support library (debug symbols)
+ Debug symbols for the GCC support library.
+ .
+ This package contains files for mips64 architecture, for use in cross-compile
+ environment.
+
 Package: lib32gcc1-mips64-cross
 Architecture: all
 Section: devel
@@ -95,6 +139,39 @@
  This package contains the headers and static library files necessary for
  building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.
 
+Package: lib32gcc1-dbg-mips64-cross
+Architecture: all
+Section: debug
+Priority: optional
+Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), lib32gcc1-mips64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
+Description: GCC support library (debug symbols)
+ Debug symbols for the GCC support library.
+ .
+ This package contains files for mips64 architecture, for use in cross-compile
+ environment.
+
+Package: libhfgcc1-dbg-mips64-cross
+Architecture: all
+Section: debug
+Priority: optional
+Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), libhfgcc1-mips64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
+Description: GCC support library (debug symbols)
+ Debug symbols for the GCC support library.
+ .
+ This package contains files for mips64 architecture, for use in cross-compile
+ environment.
+
+Package: libsfgcc1-dbg-mips64-cross
+Architecture: all
+Section: debug
+Priority: optional
+Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), libsfgcc1-mips64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
+Description: GCC support library (debug symbols)
+ Debug symbols for the GCC support library.
+ .
+ This package contains files for mips64 architecture, for use in cross-compile
+ environment.
+
 Package: libn32gcc1-mips64-cross
 Architecture: all
 Section: devel
@@ -121,6 +198,28 @@
  This package contains the headers and static library files necessary for
  building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.
 
+Package: libn32gcc1-dbg-mips64-cross
+Architecture: all
+Section: debug
+Priority: optional
+Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), libn32gcc1-mips64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
+Description: GCC support library (debug symbols)
+ Debug symbols for the GCC support library.
+ .
+ This package contains files for mips64 architecture, for use in cross-compile
+ environment.
+
+Package: libx32gcc1-dbg-mips64-cross
+Architecture: all
+Section: debug
+Priority: optional
+Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), libx32gcc1-mips64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
+Description: GCC support library (debug symbols)
+ Debug symbols for the GCC support library.
+ .
+ This package contains files for mips64 architecture, for use in cross-compile
+ environment.
+
 Package: gcc-8-mips64-linux-gnuabi64
 Architecture: amd64 i386 x32 mips64el
 Section: devel
@@ -140,84 +239,3 @@
 Priority: optional
 Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), gcc-8-mips64-linux-gnuabi64 (= ${gcc:Version}), ${dep:libcbiarchdev}, ${dep:libgccbiarchdev}, ${shlibs:Depends}, ${misc:Depends}
 Description: GNU C compiler (multilib files)
- This is the GNU C compiler, a fairly portable optimizing compiler for C.
- .
- On architectures with multilib support, the package contains files
- and dependencies for the non-default multilib architecture(s).
-
-Package: gcc-8-plugin-dev-mips64-linux-gnuabi64
-Architecture: amd64 i386 x32 mips64el
-Section: devel
-Priority: optional
-Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), gcc-8-mips64-linux-gnuabi64 (= ${gcc:Version}), libgmp-dev (>= 2:5.0.1~), ${shlibs:Depends}, ${misc:Depends}
-Description: Files for GNU GCC plugin development.
- This package contains (header) files for GNU GCC plugin development. It
- is only used for the development of GCC plugins, but not needed to run
- plugins.
-
-Package: cpp-8-mips64-linux-gnuabi64
-Architecture: amd64 i386 x32 mips64el
-Section: devel
-Priority: optional
-Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
-Suggests: gcc-8-locales (>= ${gcc:SoftVersion})
-Replaces: gcc-4.6 (<< 4.6.1-9)
-Description: GNU C preprocessor
- A macro processor that is used automatically by the GNU C compiler
- to transform programs before actual compilation.
- .
- This package has been separated from gcc for the benefit of those who
- require the preprocessor but not the compiler.
- .
- This package contains preprocessor configured for mips64 architecture.
-
-Package: g++-8-mips64-linux-gnuabi64
-Architecture: amd64 i386 x32 mips64el
-Section: devel
-Priority: optional
-Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), gcc-8-mips64-linux-gnuabi64 (= ${gcc:Version}), libstdc++-8-dev-mips64-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
-Provides: c++-compiler-mips64-linux-gnuabi64, c++abi2-dev
-Suggests: ${gxx:multilib}, gcc-8-doc (>= ${gcc:SoftVersion}), libstdc++6-8-dbg-mips64-cross
-Description: GNU C++ compiler
- This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
- .
- This package contains C++ cross-compiler for mips64 architecture.
-
-Package: g++-8-multilib-mips64-linux-gnuabi64
-Architecture: amd64 i386 x32 mips64el
-Section: devel
-Priority: optional
-Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), g++-8-mips64-linux-gnuabi64 (= ${gcc:Version}), gcc-8-multilib-mips64-linux-gnuabi64 (= ${gcc:Version}), ${dep:libcxxbiarchdev}, ${shlibs:Depends}, ${misc:Depends}
-Suggests: ${dep:libcxxbiarchdbg}
-Description: GNU C++ compiler (multilib files)
- This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
- .
- On architectures with multilib support, the package contains files
- and dependencies for the non-default multilib architecture(s).
-
-Package: libgomp1-mips64-cross
-Section: devel
-Architecture: all
-Priority: optional
-Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: GCC OpenMP (GOMP) support library
- GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
- in the GNU Compiler Collection.
-
-Package: lib32gomp1-mips64-cross
-Section: devel
-Architecture: all
-Priority: optional
-Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}, ${misc:Depends}
-Conflicts: ${confl:lib32}
-Description: GCC OpenMP (GOMP) support library (32bit)
- GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
- in the GNU Compiler Collection.
-
-Package: libn32gomp1-mips64-cross
-Section: devel
-Architecture: all
-Priority: optional
-Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}, ${misc:Depends}
-Description: GCC OpenMP (GOMP) support library (n32)
- GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
